import type { StoriesRaw, ServerTest, StoryInput, SetStoriesData } from '../types';
export declare function loadTestsFromStories(browsers: string[], provider: (storiesListener: (stories: Map<string, StoryInput[]>) => void) => Promise<StoriesRaw>, update?: (testsDiff: Partial<{
    [id: string]: ServerTest;
}>) => void): Promise<Partial<{
    [id: string]: ServerTest;
}>>;
export declare function saveStoriesJson(storiesData: SetStoriesData, extract: string | boolean): void;
export declare function saveTestsJson(tests: Record<string, unknown>, dstPath?: string): void;
